在Ubuntu 10.04 LTS 64位元版本上安裝LabVIEW 2011時遇到缺少libbz2.so之問題

更新 Dec 13, 2018

產品資訊

Software

  • LabVIEW

Operating System

  • Linux

問題敘述

LabVIEW並無正式支援Ubuntu 10.04 LTS。但是,LabVIEW是可以在此作業系統上成功安裝的。只需執行INSTALL腳本(shell script)並按照安裝精靈指示的步驟即可成功安裝在Ubuntu 10.04 LTS 32位版本上。
也可以使用Ubuntu 10.04 LTS 64位元版本進行安裝,但會在安裝精靈執行過程中的步驟會發生錯誤並失敗。

解決方案

該錯誤與缺少32位元函式庫(library) - libbz2.so有關,它是安裝LabVIEW時必備的函式庫,但在Ubuntu 10.04 64位版本上不可使用。
解決方式為透過下載所需的函式庫並創建符號鏈接(symbolic links)來符合INSTALL腳本內設置步驟的要求。
在Ubuntu 10.04 LTS上成功安裝LabVIEW所需的完整步驟如下:
  1. 下載並安裝下方連結中的getlibs工具 (您也可以點擊這裡下載: getlibs-all-deb ‏7)
  2. 從終端機(Terminal)執行getlibs命令,以下載所需要的函式庫。請注意,您必須連接到網路
  3. 創建和更新符號鏈接(symbolic links),在終端機中輸入並執行以下命令
    • cd / usr / lib32
    • sudo ln -s libbz2.so.1.0 libbz2.so.1
    • sudo ldconfig
  4. 運行INSTALL腳本
    • sudo sh ./INSTALL

Attachments

本文是否有幫助?

無幫助